Delete Page
DELETE
/api/v1/dashboard/content/pages/{page_id}Overview
Permanently deletes a content page. This action cannot be undone. The page is removed regardless of its current status.
Authentication
info
Bearer authentication required - Pass your credentials as Authorization: Bearer <client_id>:<api_key>:<api_secret>.
Headers
| Header | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Bearer <client_id>:<api_key>:<api_secret> |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page_id | string (UUID) | Yes | The unique identifier of the page to delete |
Response
successbooleanAlways true on successful deletion
Example Request
- cURL
- Python
- JavaScript
curl -X DELETE "https://spideriq.ai/api/v1/dashboard/content/pages/e5f6a7b8-c9d0-1234-efab-567890123456" \
-H "Authorization: Bearer $CLIENT_TOKEN"
import requests
page_id = "e5f6a7b8-c9d0-1234-efab-567890123456"
resp = requests.delete(
f"https://spideriq.ai/api/v1/dashboard/content/pages/{page_id}",
headers={"Authorization": f"Bearer {CLIENT_TOKEN}"},
)
result = resp.json()
print(f"Deleted: {result['success']}")
const pageId = "e5f6a7b8-c9d0-1234-efab-567890123456";
const resp = await fetch(
`https://spideriq.ai/api/v1/dashboard/content/pages/${pageId}`,
{
method: "DELETE",
headers: { "Authorization": `Bearer ${CLIENT_TOKEN}` },
}
);
const result = await resp.json();
console.log(`Deleted: ${result.success}`);
Example Response
{
"success": true
}
Status Codes
| Status Code | Meaning | Description |
|---|---|---|
| 200 | OK | Page deleted successfully |
| 401 | Unauthorized | Invalid or missing Bearer token |
| 404 | Not Found | Page not found or belongs to another client |